## openscenegraph-3.4 3.4.0+dfsg1

=== examples/osggeometryshaders/CMakeLists.txt ===
SET(TARGET_SRC osggeometryshaders.cpp )
SETUP_EXAMPLE(osggeometryshaders)
