=== src/osgPlugins/gif/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${GIFLIB_INCLUDE_DIR} )

SET(TARGET_SRC ReaderWriterGIF.cpp )
SET(TARGET_LIBRARIES_VARS GIFLIB_LIBRARY )
#### end var setup  ###
SETUP_PLUGIN(gif)

IF(MSVC)
    SET_TARGET_PROPERTIES("${TARGET_DEFAULT_PREFIX}${TARGET_NAME}" PROPERTIES LINK_FLAGS_DEBUG "/NODEFAULTLIB:MSVCRT")
ENDIF()
