## openscenegraph-3.4 3.4.0%2Bdfsg1

=== debian/changelog ===
openscenegraph-3.4 (3.4.0+dfsg1-4) unstable; urgency=medium

  * Paperbag release: some more char errors were left on the sources.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 23 Sep 2016 21:17:22 +0200

openscenegraph-3.4 (3.4.0+dfsg1-3) unstable; urgency=medium

  * Fixed FTBFS on platforms where the default is unsigned char.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 23 Sep 2016 16:42:14 +0200

openscenegraph-3.4 (3.4.0+dfsg1-2) unstable; urgency=medium

  * Added Ubuntu patches for building on armhf.
    Thanks to Ubuntu Developers
  * Occlusion query stuttering fix from upstream.
    Thanks to Bret Curtis

 -- Alberto Luaces Fernández <aluaces@udc.es>  Wed, 21 Sep 2016 21:06:44 +0200

openscenegraph-3.4 (3.4.0+dfsg1-1) experimental; urgency=medium

  [ Alberto Luaces Fernández ]
  * Initial release (Closes: #820014)

  [ Manuel A. Fernandez Montecelo ]
  * Minor updates to debian/ files

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 18 May 2016 18:24:10 +0100
