=== debian/watch ===
version=3

opts=dversionmangle=s/.dfsg\d+// \
  http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-([\d\.]*)/source/OpenSceneGraph-([\d\.]*)\.zip
