## openscenegraph-3.4 3.4.0+dfsg1

=== debian/changelog ===
openscenegraph-3.4 (3.4.0+dfsg1-4ubuntu1) artful; urgency=medium

  * Fix armhf build with current cmake.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 25 Jul 2017 14:47:47 -0700

openscenegraph-3.4 (3.4.0+dfsg1-4build2) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2017 13:35:16 +0200

openscenegraph-3.4 (3.4.0+dfsg1-4build1) zesty; urgency=medium

  * No-change rebuild against latest gdal

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 03 Nov 2016 18:10:23 -0400
