=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openscenegraph-3.4
 Section: devel
 Priority: optional
-Maintainer: Alberto Luaces Fernández <aluaces@udc.es>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Luaces Fernández <aluaces@udc.es>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Loic Dachary (OuoU) <loic@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
                dpkg-dev (>= 1.16.1~),
