=== debian/rules ===
--- 
+++ 
@@ -65,8 +65,6 @@
 LDFLAGS += -Wl,--as-needed
 
 ifeq (armhf,$(DEB_HOST_ARCH))
-EGL_LDFLAGS=$(shell pkg-config egl --libs)
-OPENGLES_LDFLAGS=$(shell pkg-config glesv2 --libs)
 ARMHF_DEFINES=-D OSG_GL1_AVAILABLE:BOOL=OFF \
 	-D OSG_GL2_AVAILABLE:BOOL=OFF \
 	-D OSG_GL3_AVAILABLE:BOOL=OFF \
@@ -78,8 +76,8 @@
 	-D OSG_GL_VERTEX_ARRAY_FUNCS_AVAILABLE:BOOL=OFF \
 	-D OSG_GL_FIXED_FUNCTION_AVAILABLE:BOOL=OFF \
 	-D OSG_CPP_EXCEPTIONS_AVAILABLE:BOOL=OFF \
-	-D OPENGL_gl_LIBRARY:STRING="${OPENGLES_LDFLAGS}" \
-	-D OPENGL_egl_LIBRARY:STRING="${EGL_LDFLAGS}"
+        -D OPENGL_gl_LIBRARY:STRING=/usr/lib/arm-linux-gnueabihf/libGLESv2.so \
+        -D OPENGL_egl_LIBRARY:STRING=/usr/lib/arm-linux-gnueabihf/libEGL.so
 endif
 
 #
@@ -371,3 +369,5 @@
 	osgtessellationshaders.1 \
 	osgSSBO.1 \
 	osgblenddrawbuffers.1 \
+	osggpucull.1 \
+	osgtexture2DArray.1 \
