## openscenegraph-3.4 3.4.1%2Bdfsg1

=== debian/changelog ===
openscenegraph-3.4 (3.4.1+dfsg1-5) unstable; urgency=medium

  * Upgraded to latest coin library (Closes: #918281, #912867).

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 07 Jan 2019 18:35:11 +0100

openscenegraph-3.4 (3.4.1+dfsg1-4) unstable; urgency=medium

  * debian/control: Updated Vcs-* fields.
  * Update and fix debian/watch.
  * Avoid depending on g++ and dpkg-dev since the policy says packages in
    build-essential have to be already installed in a building system.
  [ Bret Curtis ]
  * Support for Collada/DAE 1.4, 1.4.1 and 1.5.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Wed, 05 Sep 2018 21:56:37 +0200

openscenegraph-3.4 (3.4.1+dfsg1-3) unstable; urgency=medium

  * Generate man pages for applications with help2man.
  * Updated policy to 4.1.3.  No changes required.
  * Full revamp of debian/rules so it is easier to understand and maintain.
  * debian/{control,copyright} linting with "cme fix dpkg-*".
  * Requires debhelper >=9 since compat is 9.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Thu, 08 Mar 2018 13:01:10 +0100

openscenegraph-3.4 (3.4.1+dfsg1-2) unstable; urgency=medium

  * Fixed library paths for GLESv2 on armel. (Closes: #845054)
    Thanks to Adrian Bunk.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 06 Nov 2017 12:49:55 +0100

openscenegraph-3.4 (3.4.1+dfsg1-1) unstable; urgency=medium

  [ Alberto Luaces Fernández ]
  * New upstream version 3.4.1
  * Refresh and remove now-unused patches.
  * Update compat to 9 and Debian Policy to 4.1.0.  No changes required.
  * Fixes for building on armel.
    Thanks to Emilio Pozuelo Monfort (Closes: #845054)
  * Fix GLESv2 detection compatibility with cmake>=3.0.
    Thanks to Steve Langasek (Closes: #869742)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 23 Sep 2017 13:03:29 +0200
